'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _templateObject = _taggedTemplateLiteral(['\n        mutation CrmClientCreate {\n          crmClientCreate(input: {\n            firstName: "', '"\n            lastName: "', '"\n            sex: ', '\n          }) {\n            crmClient {\n              firstName\n              lastName\n              sex\n            }\n          }\n        }\n      '], ['\n        mutation CrmClientCreate {\n          crmClientCreate(input: {\n            firstName: "', '"\n            lastName: "', '"\n            sex: ', '\n          }) {\n            crmClient {\n              firstName\n              lastName\n              sex\n            }\n          }\n        }\n      ']);

var _reactCfHelperI18n = require('react-cf-helper-i18n');

var _reactCfHelperI18n2 = _interopRequireDefault(_reactCfHelperI18n);

var _is_js = require('is_js');

var _is_js2 = _interopRequireDefault(_is_js);

var _reactCfGraphqlClient = require('react-cf-graphql-client');

var _reactCfGraphqlClient2 = _interopRequireDefault(_reactCfGraphqlClient);

var _closeModal = require('./closeModal');

var _setErrorMessage = require('./setErrorMessage');

var _updating = require('./updating');

var _setValue = require('./setValue');

var _list = require('./list');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _taggedTemplateLiteral(strings, raw) { return Object.freeze(Object.defineProperties(strings, { raw: { value: Object.freeze(raw) } })); }

var create = function create(dispatch, client) {
  if (_is_js2.default.empty(client.firstName)) {
    var message = _reactCfHelperI18n2.default.t('crm.client.form.firstName') + ' - ' + _reactCfHelperI18n2.default.t('validates.errors.messages.blank');
    dispatch((0, _setErrorMessage.setErrorMessage)('firstName', message));
  } else if (_is_js2.default.empty(client.lastName)) {
    dispatch((0, _setErrorMessage.setErrorMessage)('firstName', ''));
    var _message = _reactCfHelperI18n2.default.t('crm.client.form.lastName') + ' - ' + _reactCfHelperI18n2.default.t('validates.errors.messages.blank');
    dispatch((0, _setErrorMessage.setErrorMessage)('lastName', _message));
  } else if (_is_js2.default.empty(client.sex)) {
    dispatch((0, _setErrorMessage.setErrorMessage)('lastName', ''));
    var _message2 = _reactCfHelperI18n2.default.t('crm.client.form.sex') + ' - ' + _reactCfHelperI18n2.default.t('validates.errors.messages.blank');
    dispatch((0, _setErrorMessage.setErrorMessage)('sex', _message2));
  } else {
    dispatch((0, _setErrorMessage.setErrorMessage)('sex', ''));
    dispatch((0, _updating.updating)(true));
    // make request
    _reactCfGraphqlClient2.default.mutate({
      mutation: (0, _reactCfGraphqlClient.Graphql)(_templateObject, client.firstName, client.lastName, client.sex)
    }).then(function () {
      dispatch((0, _setValue.setValue)('', 'firstName'));
      dispatch((0, _setValue.setValue)('', 'lastName'));
      dispatch((0, _setValue.setValue)('', 'sex'));
      dispatch((0, _updating.updating)(false));
      dispatch((0, _closeModal.closeModal)());
    }).catch(function (error) {
      error.graphQLErrors.map(function (_ref) {
        var message = _ref.message;

        dispatch((0, _updating.updating)(false));
        dispatch((0, _setErrorMessage.setErrorMessage)(client.firstName, message));
        return false;
      });
    });
  }
};

exports.default = create;