'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _reactCfHelperI18n = require('react-cf-helper-i18n');

var _reactCfHelperI18n2 = _interopRequireDefault(_reactCfHelperI18n);

var _reactRouterDom = require('react-router-dom');

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _List = require('./List');

var _List2 = _interopRequireDefault(_List);

var _New = require('./New');

var _New2 = _interopRequireDefault(_New);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Home = function Home(props) {
  var query = props.query,
      openModal = props.openModal,
      fetchList = props.fetchList,
      list = props.list,
      page = props.page,
      loading = props.loading,
      search = props.search;


  fetchList(query, page);

  return _react2.default.createElement(
    _semanticUiReact.Segment,
    { basic: true, loading: loading },
    _react2.default.createElement(
      _semanticUiReact.Card,
      { fluid: true },
      _react2.default.createElement(_New2.default, props),
      _react2.default.createElement(
        _semanticUiReact.Menu,
        { pointing: true, secondary: true, attached: 'top' },
        _react2.default.createElement(_semanticUiReact.Menu.Item, {
          name: 'Clientes',
          to: '/crm/clients',
          active: true
        }),
        _react2.default.createElement(_semanticUiReact.Menu.Item, {
          as: _reactRouterDom.Link,
          to: '/crm/groups',
          name: 'Grupos'
        })
      ),
      _react2.default.createElement(
        _semanticUiReact.Card.Content,
        null,
        _react2.default.createElement(
          _semanticUiReact.Menu,
          { borderless: true, compact: true, fluid: true, text: true },
          _react2.default.createElement(
            _semanticUiReact.Menu.Item,
            null,
            _react2.default.createElement(
              _semanticUiReact.Header,
              null,
              'Clientes'
            )
          ),
          _react2.default.createElement(
            _semanticUiReact.Menu.Menu,
            { position: 'right' },
            _react2.default.createElement(
              _semanticUiReact.Menu.Item,
              null,
              _react2.default.createElement(
                _semanticUiReact.Button,
                {
                  color: 'green',
                  floated: 'right',
                  onClick: function onClick() {
                    return openModal();
                  }
                },
                _react2.default.createElement(_semanticUiReact.Icon, { name: 'add' }),
                _reactCfHelperI18n2.default.t('form.buttons.create')
              )
            ),
            _react2.default.createElement(
              _semanticUiReact.Menu.Item,
              null,
              _react2.default.createElement(_semanticUiReact.Input, {
                icon: 'search',
                placeholder: _reactCfHelperI18n2.default.t('form.buttons.search'),
                onChange: function onChange(event) {
                  return search(page, event.target.value, 'query');
                }
              })
            )
          )
        )
      ),
      _react2.default.createElement(
        _semanticUiReact.Card.Content,
        null,
        _react2.default.createElement(_List2.default, {
          clients: list,
          fetchList: fetchList,
          page: page,
          query: query
        })
      )
    )
  );
};

Home.defaultProps = {
  firstName: '',
  lastName: '',
  sex: '',
  firstNameErrorMessage: '',
  lastNameErrorMessage: '',
  sexErrorMessage: '',
  list: {}
};

Home.propTypes = {
  page: _propTypes2.default.number.isRequired,
  open: _propTypes2.default.bool.isRequired,
  fetchList: _propTypes2.default.func.isRequired,
  openModal: _propTypes2.default.func.isRequired,
  closeModal: _propTypes2.default.func.isRequired,
  firstName: _propTypes2.default.string,
  lastName: _propTypes2.default.string,
  sex: _propTypes2.default.string,
  firstNameErrorMessage: _propTypes2.default.string,
  lastNameErrorMessage: _propTypes2.default.string,
  sexErrorMessage: _propTypes2.default.string,
  list: _propTypes2.default.shape({
    currentPage: _propTypes2.default.number,
    nextPage: _propTypes2.default.number,
    previousPage: _propTypes2.default.number,
    totalEntries: _propTypes2.default.number,
    totalPages: _propTypes2.default.number,
    nodes: _propTypes2.default.array
  })
};

exports.default = Home;