'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _reactCfHelperCdn = require('react-cf-helper-cdn');

var _reactCfHelperCdn2 = _interopRequireDefault(_reactCfHelperCdn);

var _reactCfHelperI18n = require('react-cf-helper-i18n');

var _reactCfHelperI18n2 = _interopRequireDefault(_reactCfHelperI18n);

var _reactCfComponentMessageContent = require('react-cf-component-message-content');

var _reactCfComponentMessageContent2 = _interopRequireDefault(_reactCfComponentMessageContent);

var _reactRouterDom = require('react-router-dom');

var _GenderHelper = require('./GenderHelper');

var _GenderHelper2 = _interopRequireDefault(_GenderHelper);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var List = function List(props) {
  var clients = props.clients,
      page = props.page,
      fetchList = props.fetchList,
      query = props.query;


  var body = function body() {
    var rows = clients.nodes.map(function (client) {
      return _react2.default.createElement(
        _semanticUiReact.Grid.Column,
        {
          key: client.id
        },
        _react2.default.createElement(
          _semanticUiReact.Segment,
          { size: 'small' },
          _react2.default.createElement(
            _semanticUiReact.Item.Group,
            { divided: true, unstackable: true },
            _react2.default.createElement(
              _semanticUiReact.Item,
              null,
              _react2.default.createElement(_semanticUiReact.Item.Image, {
                size: 'tiny',
                src: client.avatar
              }),
              _react2.default.createElement(
                _semanticUiReact.Item.Content,
                { verticalAlign: 'middle' },
                _react2.default.createElement(
                  _semanticUiReact.Item.Header,
                  {
                    as: _reactRouterDom.Link,
                    to: '/crm/clients/' + client.id
                  },
                  client.firstName + ' ' + client.lastName
                ),
                _react2.default.createElement(
                  _semanticUiReact.Item.Meta,
                  null,
                  (0, _GenderHelper2.default)(client.sex)
                )
              )
            )
          )
        )
      );
    });
    return rows;
  };

  var content = clients.totalEntries > 0;

  return _react2.default.createElement(
    'div',
    null,
    content && _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(
        _semanticUiReact.Grid,
        { columns: 3 },
        body()
      ),
      _react2.default.createElement(
        _semanticUiReact.Segment,
        { basic: true, floated: 'right' },
        _react2.default.createElement(_semanticUiReact.Pagination, {
          activePage: page,
          onPageChange: function onPageChange(e, item) {
            return fetchList(query, item.activePage);
          },
          totalPages: clients.totalPages
        })
      )
    ),
    !content && _react2.default.createElement(_reactCfComponentMessageContent2.default, {
      icon: _reactCfHelperCdn2.default.image('information-80-80.svg'),
      title: _reactCfHelperI18n2.default.t('messages.noRecords.title'),
      message: _reactCfHelperI18n2.default.t('messages.noRecords.message')
    })
  );
};

List.defaultProps = {
  clients: {}
};

List.propTypes = {
  clients: _propTypes2.default.shape({
    currentPage: _propTypes2.default.number,
    nextPage: _propTypes2.default.number,
    previousPage: _propTypes2.default.number,
    totalEntries: _propTypes2.default.number,
    totalPages: _propTypes2.default.number,
    nodes: _propTypes2.default.array
  }),
  query: _propTypes2.default.string.isRequired,
  fetchList: _propTypes2.default.func.isRequired,
  page: _propTypes2.default.number.isRequired
};

exports.default = List;