'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _semanticUiReact = require('semantic-ui-react');

var _reactCfHelperI18n = require('react-cf-helper-i18n');

var _reactCfHelperI18n2 = _interopRequireDefault(_reactCfHelperI18n);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var sexOptions = [{
  key: '0',
  text: _reactCfHelperI18n2.default.t('crm.client.form.female'),
  value: '0'
}, {
  key: '1',
  text: _reactCfHelperI18n2.default.t('crm.client.form.male'),
  value: '1'
}];

var New = function New(props) {
  var open = props.open,
      closeModal = props.closeModal,
      updating = props.updating,
      create = props.create,
      firstName = props.firstName,
      lastName = props.lastName,
      sex = props.sex,
      firstNameErrorMessage = props.firstNameErrorMessage,
      lastNameErrorMessage = props.lastNameErrorMessage,
      sexErrorMessage = props.sexErrorMessage,
      setValue = props.setValue;


  return _react2.default.createElement(
    _semanticUiReact.Modal,
    { size: 'mini', open: open, onClose: function onClose() {
        return closeModal();
      } },
    _react2.default.createElement(
      _semanticUiReact.Modal.Header,
      null,
      _reactCfHelperI18n2.default.t('crm.client.new.title')
    ),
    _react2.default.createElement(
      _semanticUiReact.Modal.Content,
      null,
      firstNameErrorMessage !== '' && _react2.default.createElement(
        _semanticUiReact.Message,
        { negative: true },
        firstNameErrorMessage
      ),
      lastNameErrorMessage !== '' && _react2.default.createElement(
        _semanticUiReact.Message,
        { negative: true },
        lastNameErrorMessage
      ),
      sexErrorMessage !== '' && _react2.default.createElement(
        _semanticUiReact.Message,
        { negative: true },
        sexErrorMessage
      ),
      _react2.default.createElement(
        _semanticUiReact.Form,
        null,
        _react2.default.createElement(
          _semanticUiReact.Form.Field,
          { required: true },
          _react2.default.createElement(_semanticUiReact.Form.Input, {
            label: _reactCfHelperI18n2.default.t('crm.client.form.firstName'),
            onChange: function onChange(event) {
              return setValue(event.target.value, 'firstName');
            },
            placeholder: _reactCfHelperI18n2.default.t('crm.client.form.firstName'),
            autoFocus: 'autofocus',
            value: firstName,
            error: firstNameErrorMessage !== '',
            fluid: true
          })
        ),
        _react2.default.createElement(
          _semanticUiReact.Form.Field,
          { required: true },
          _react2.default.createElement(_semanticUiReact.Form.Input, {
            label: _reactCfHelperI18n2.default.t('crm.client.form.lastName'),
            onChange: function onChange(event) {
              return setValue(event.target.value, 'lastName');
            },
            placeholder: _reactCfHelperI18n2.default.t('crm.client.form.lastName'),
            value: lastName,
            error: lastNameErrorMessage !== '',
            fluid: true
          })
        ),
        _react2.default.createElement(_semanticUiReact.Form.Field, {
          control: _semanticUiReact.Select,
          options: sexOptions,
          error: sexErrorMessage !== '',
          onChange: function onChange(_, data) {
            return setValue(data.value, 'sex');
          },
          label: { children: _reactCfHelperI18n2.default.t('crm.client.form.sex'), htmlFor: 'form-select-control-sex' },
          placeholder: _reactCfHelperI18n2.default.t('crm.client.form.sex')
        })
      )
    ),
    _react2.default.createElement(
      _semanticUiReact.Modal.Actions,
      null,
      _react2.default.createElement(
        _semanticUiReact.Button,
        {
          basic: true,
          onClick: function onClick() {
            return closeModal();
          }
        },
        _reactCfHelperI18n2.default.t('form.buttons.cancel')
      ),
      _react2.default.createElement(_semanticUiReact.Button, {
        loading: updating,
        positive: true,
        icon: 'save',
        labelPosition: 'right',
        content: _reactCfHelperI18n2.default.t('form.buttons.save'),
        onClick: function onClick() {
          return create({ firstName: firstName, lastName: lastName, sex: sex });
        }
      })
    )
  );
};

New.propTypes = {
  open: _propTypes2.default.bool.isRequired,
  closeModal: _propTypes2.default.func.isRequired,
  create: _propTypes2.default.func.isRequired,
  updating: _propTypes2.default.bool.isRequired,
  firstName: _propTypes2.default.string.isRequired,
  lastName: _propTypes2.default.string.isRequired,
  sex: _propTypes2.default.string.isRequired,
  firstNameErrorMessage: _propTypes2.default.string.isRequired,
  lastNameErrorMessage: _propTypes2.default.string.isRequired,
  sexErrorMessage: _propTypes2.default.string.isRequired,
  setValue: _propTypes2.default.func.isRequired
};

exports.default = New;