'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _debounce = require('lodash/debounce');

var _debounce2 = _interopRequireDefault(_debounce);

var _reduxCustom = require('../redux-custom');

var _openModal2 = require('../actions/openModal');

var _closeModal2 = require('../actions/closeModal');

var _create2 = require('../actions/create');

var _create3 = _interopRequireDefault(_create2);

var _search2 = require('../actions/search');

var _search3 = _interopRequireDefault(_search2);

var _setValue2 = require('../actions/setValue');

var _list = require('../actions/list');

var _Home = require('../components/Home');

var _Home2 = _interopRequireDefault(_Home);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var mapStateToProps = function mapStateToProps(state) {
  return {
    query: state.crmClientApi.query,
    loading: state.crmClientApi.loading,
    page: state.crmClientApi.page,
    list: state.crmClientApi.list,
    open: state.crmClientModal.open,
    firstNameErrorMessage: state.crmClientModal.firstNameErrorMessage,
    lastNameErrorMessage: state.crmClientModal.lastNameErrorMessage,
    sexErrorMessage: state.crmClientModal.sexErrorMessage,
    updating: state.crmClientModal.updating,
    firstName: state.crmClientClient.client.firstName,
    lastName: state.crmClientClient.client.lastName,
    sex: state.crmClientClient.client.sex

  };
};

var mapDispatchToProps = function mapDispatchToProps(dispatch) {
  return {
    closeModal: function closeModal() {
      dispatch((0, _closeModal2.closeModal)());
    },
    openModal: function openModal() {
      dispatch((0, _openModal2.openModal)());
    },
    create: function create(client) {
      (0, _create3.default)(dispatch, client);
    },
    setValue: function setValue(value, property) {
      dispatch((0, _setValue2.setValue)(value, property));
    },
    fetchList: function fetchList(query, page) {
      (0, _list.fetchList)(query, page, dispatch);
    },
    search: function search(page, value, property) {
      (0, _search3.default)(dispatch, page, value, property);
    }
  };
};

exports.default = (0, _reduxCustom.connect)(mapStateToProps, mapDispatchToProps)(_Home2.default);