'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _updating = require('../actions/updating');

var _openModal = require('../actions/openModal');

var _closeModal = require('../actions/closeModal');

var _setErrorMessage = require('../actions/setErrorMessage');

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var crmClientModal = function crmClientModal() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {
    open: false,
    updating: false,
    firstNameErrorMessage: '',
    lastNameErrorMessage: '',
    sexErrorMessage: ''
  };
  var action = arguments[1];

  switch (action.type) {
    case _openModal.OPEN_MODAL:
      return Object.assign({}, state, {
        open: action.open
      });
    case _closeModal.CLOSE_MODAL:
      return Object.assign({}, state, {
        open: action.open
      });
    case _updating.UPDATING:
      return Object.assign({}, state, {
        updating: action.value
      });
    case _setErrorMessage.SET_ERROR_MESSAGE:
      return Object.assign({}, state, _defineProperty({}, action.property + 'ErrorMessage', action.message));
    default:
      return state;
  }
};

exports.default = crmClientModal;